org.springframework.data.domain

## Interface ReactiveAuditorAware<T>

Type Parameters:
  `T` - the type of the auditing instance.

    public interface ReactiveAuditorAware<T>

Interface for components that are aware of the application's current auditor. This will be some kind of user mostly.

Since:
  2.4
Author:
  Mark Paluch

### Method Summary

All Methods Instance Methods Abstract Methods
`reactor.core.publisher.Mono<T>` `getCurrentAuditor()` Returns a `Mono` publishing the current auditor of the application.

### Method Detail

#### getCurrentAuditor

    reactor.core.publisher.Mono<T> getCurrentAuditor()

Returns a `Mono` publishing the current auditor of the application.

Returns:
  the `Mono` emitting the current auditor, or an empty one, if the auditor is considered to be unknown.